org.apache.any23.plugin.officescraper

## Class ExcelExtractorTest

- java.lang.Object
- - org.apache.any23.plugin.officescraper.ExcelExtractorTest

-     public class ExcelExtractorTest
      extends Object

  Test case for `ExcelExtractor`.
  Author:
    Michele Mostarda (mostarda@fbk.eu)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExcelExtractorTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `void` | `testExtractXLS()`
    `void` | `testExtractXLSX()`
    `void` | `testGetDescription()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExcelExtractorTest

          public ExcelExtractorTest()

  - ### Method Detail

    - #### setUp

          public void setUp()

    - #### testGetDescription

          public void testGetDescription()

    - #### testExtractXLSX

          public void testExtractXLSX()
                               throws IOException,
                                      org.apache.any23.extractor.ExtractionException,
                                      org.apache.any23.writer.TripleHandlerException

      Throws:
        `IOException`
        `org.apache.any23.extractor.ExtractionException`
        `org.apache.any23.writer.TripleHandlerException`

    - #### testExtractXLS

          public void testExtractXLS()
                              throws IOException,
                                     org.apache.any23.extractor.ExtractionException,
                                     org.apache.any23.writer.TripleHandlerException

      Throws:
        `IOException`
        `org.apache.any23.extractor.ExtractionException`
        `org.apache.any23.writer.TripleHandlerException`

Copyright © 2010–2019 The Apache Software Foundation. All rights reserved.